import Head from "next/head";
import Layout from "../components/Layout";
import Section from "../components/Section";
import Presentation from "../components/Presentation";
import Infos from "../components/Infos";
import Avatar from "../components/Avatar";
import HorizontalSection from "../components/HorizontalSection";

export default function Home({ person, caseStudies }) {
  return (
    <div className="container">
      <Head>
        <title>Create Next App</title>
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <Section>
        <Layout>
          <Presentation
            firstName={person.firstName}
            lastName={person.lastName}
            description={person.description}
          />
          <Infos infos={person.infos} />
          <Avatar />
        </Layout>
      </Section>

      <HorizontalSection>
        <div>Lol</div>
      </HorizontalSection>
    </div>
  );
}

export async function getStaticProps() {
  const person = {
    firstName: "Tanguy",
    lastName: "Herbron",
    description: "Full Stack Developer",
    infos: {
      location: {
        value: "Copenhagen, Denmark",
        link: "https://www.visitcopenhagen.com/",
      },
      github: {
        value: "/TanguyHerbron",
        link: "https://github.com/TanguyHerbron",
      },
      linkedin: {
        value: "Tanguy Herbron",
        link: "https://linkedin.com/in/tanguy-herbron-5a3772150",
      },
      email: {
        value: "tanguy.herbron@outlook.com",
        link: "mailto:tanguy.herbron@outlook.com",
      },
    },
  };

  const caseStudies = [
    {
      title: "Moodle",
      short_description:
        "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip.",
      date: "June 12, 2020",
      cover: "/public/images/bongo.svg",
    },
    {
      title: "Doodle",
      short_description:
        "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip.",
      date: "June 12, 2020",
      cover: "/public/images/bongo.svg",
    },
    {
      title: "Poodle",
      short_description:
        "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip.",
      date: "June 12, 2020",
      cover: "/public/images/bongo.svg",
    },
  ];

  return {
    props: {
      person: person,
      caseStudies: caseStudies,
    },
  };
}
